<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('partners', function (Blueprint $table) {
            $table->id();
            $table->string('openid', 50)->unique();
            $table->string('name')->nullable();
            $table->string('mobile', 15)->nullable();
            $table->string('pic')->nullable();
            $table->text("intro")->nullable();
            $table->text('specialty')->nullable()->comment("特长");
            $table->string('attach')->nullable()->comment("附件");
            $table->text("protocols")->nullable()->comment("协议");
            $table->string('agency_date', 10)->nullable()->comment("成为代理日期");
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('partners');
    }
};
